Bug 615404 - emailLocale query paramater is non standard
Summary: emailLocale query paramater is non standard
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Candlepin
Classification: Community
Component: candlepin (Show other bugs)
(Show other bugs)
Version: 0.5
Hardware: All Solaris
low
medium
Target Milestone: ---
: ---
Assignee: Bryan Kearney
QA Contact: Katello QA List
URL:
Whiteboard:
Keywords: Reopened
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-16 17:07 UTC by Bryan Kearney
Modified: 2018-12-10 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2018-12-10 15:37:00 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Bryan Kearney 2010-07-16 17:07:56 UTC
Per the standards, this query parameter on 

POST /consumers/{consumer_uuid}/entitlements

should be email_locale.

Please update the server side code, java client, rhsm, and hte API page at https://fedorahosted.org/candlepin/wiki/API.

Comment 1 Bryan Kearney 2010-08-03 21:12:26 UTC
The corrent format is now being used.

Comment 2 wes hayutin 2010-08-03 21:40:52 UTC
moving to on_qa

Comment 3 wes hayutin 2010-08-10 15:14:42 UTC
POST /consumers/{uuid}/entitlements : Creates a new Entitlement for a Consumer
query parameters:
pool: The pool to create an entitlement for
token: A Reg Token to create an entitlement for
product: A Product ID to create an entitlement for
quantity: The number of entitlements to create
email: The email to send confirmation to if registering by token
email_locale: The locale of the email.

is this correct?

Comment 4 Bryan Kearney 2010-08-16 19:13:08 UTC
yes, the issue was that parameters should be

python_style

not 

javaStyle

-- bk

Comment 5 wes hayutin 2010-08-16 19:39:48 UTC
verified

Comment 6 John Sefler 2011-05-04 14:40:41 UTC
Group move of VERIFIED Candlepin component bugs to RELEASE_PENDING

Comment 7 Bryan Kearney 2018-12-10 15:37:00 UTC
I am closing out some old bugs from 2015. So, closing these out as current release. If this is still an issue for me, please reach out.


Note You need to log in before you can comment on or make changes to this bug.